import {BrowserModule} from '@angular/platform-browser';
import {NgModule} from '@angular/core';
import {HttpClientModule} from '@angular/common/http';
import {FormsModule} from '@angular/forms';

import {AppComponent} from './app.component';
import {Routing} from './app.routing';

import * as Components from './components';
import * as Services from './services';
import * as Pipes from './pipes';
import * as Guards from './guards';

@NgModule({
  declarations: [
    AppComponent,
    Components.CardComponent,
    Components.ListComponent,
    Components.DetailComponent,
    Pipes.CapitalizePipe,
    Pipes.OrderByFullNamePipe,
    Pipes.SearchPipe
  ],
  imports: [
    BrowserModule,
    HttpClientModule,
    FormsModule,
    Routing
  ],
  providers: [Services.DataService, Guards.ResolvePersonGuard],
  bootstrap: [AppComponent]
})
export class AppModule { }
