import {Component, Input} from '@angular/core';
import {GenderEnum, PersonModel} from "../../../models";
import {DataService} from "../../services/data.service";

@Component({
  selector: 'app-card',
  templateUrl: './card.component.html',
  styleUrls: ['./card.component.css']
})
export class CardComponent {
  @Input() person: PersonModel;
  private genderEnum = GenderEnum;
  private readonly defaultImages: Map<GenderEnum, string> = this.dataService.getDefaultImages();

  constructor(private dataService: DataService) {

  }
}
