import {Component, OnInit} from '@angular/core';
import {GenderEnum, PersonModel} from "../../../models";
import {ActivatedRoute} from "@angular/router";
import {DataService} from "../../services";

@Component({
  selector: 'app-detail',
  templateUrl: './detail.component.html',
  styleUrls: ['./detail.component.css']
})
export class DetailComponent implements OnInit {
  private person: PersonModel;
  private readonly defaultImages: Map<GenderEnum, string> = this.dataService.getDefaultImages();

  constructor(private route: ActivatedRoute, private dataService: DataService) {

  }

  ngOnInit() {
    this.route.data.subscribe((data: { person: PersonModel }) => {
      this.person = data.person;
    });
  }

}
