import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, Router, RouterStateSnapshot} from '@angular/router';

import {PersonModel} from "../../models";
import {DataService} from "../services";

@Injectable()
export class ResolvePersonGuard implements Resolve<PersonModel> {
  constructor(private dataService: DataService, private router: Router) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Promise<PersonModel> {
    const id = route.params['id'];

    return this.dataService.getPersonById(Number(id)).then((person: PersonModel) => {
      if (person) {
        return person;
      } else {
        this.router.navigateByUrl('');
        return null;
      }
    }).catch(() => {
      this.router.navigateByUrl('');
      return null;
    });
  }
}
